"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAppForm = void 0;
const templates_1 = require("../../templates");
function createAppForm(options) {
    const hiddenFields = {
        'csrf-token': options.csrfToken,
    };
    if (options.clientId) {
        hiddenFields['clientId'] = options.clientId;
    }
    if (options.allowedGrantTypes) {
        hiddenFields['allowedGrantTypes'] = options.allowedGrantTypes;
    }
    if (options.redirectUris) {
        hiddenFields['redirectUris'] = options.redirectUris;
    }
    if (options.requirePkce) {
        hiddenFields['requirePkce'] = options.requirePkce;
    }
    return (0, templates_1.render)('create-app', {
        title: 'Create App',
        msg: options.msg,
        error: options.error,
        action: '/app/new',
        nickname: options.nickname,
        url: options.url,
        hiddenFields
    });
}
exports.createAppForm = createAppForm;
//# sourceMappingURL=html.js.map