import { OAuth2Token } from '../../oauth2/types';
import { PrivilegeMap } from '../../privilege/types';
import { OAuth2Client } from '../../types';
type IntrospectInfo = {
    privileges: PrivilegeMap;
    client: OAuth2Client;
    token: OAuth2Token;
    tokenType: 'bearer' | 'refresh_token';
    origin: string;
};
/**
 * Defined in:
 *
 * https://www.rfc-editor.org/rfc/rfc7662#section-2.2
 */
type IntrospectResponse = {
    active: boolean;
    scope?: string;
    client_id?: string;
    username?: string;
    token_type?: 'bearer' | 'refresh_token';
    exp?: number;
    iat?: number;
    nbf?: number;
    sub?: string;
    aud?: string;
    iss?: string;
    jti?: string;
    /**
     * A12n additions.
     */
    privileges: PrivilegeMap;
    _links: {
        'authenticated-as': {
            href: string;
        };
    };
};
export declare function introspectResponse(info: IntrospectInfo): IntrospectResponse;
export declare function inactive(): {
    active: boolean;
};
export {};
