"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.inactive = exports.introspectResponse = void 0;
const url = require("url");
function introspectResponse(info) {
    return {
        active: true,
        scope: Object.values(info.privileges).join(' '),
        privileges: info.privileges,
        client_id: info.client.clientId,
        username: info.token.principal.nickname,
        token_type: info.tokenType,
        exp: info.tokenType === 'refresh_token' ? info.token.refreshTokenExpires : info.token.accessTokenExpires,
        sub: url.resolve(info.origin, info.token.principal.href),
        aud: url.resolve(info.origin, info.client.app.href),
        iss: info.origin,
        _links: {
            'authenticated-as': {
                href: url.resolve(info.origin, info.token.principal.href),
            }
        }
    };
}
exports.introspectResponse = introspectResponse;
function inactive() {
    return {
        active: false
    };
}
exports.inactive = inactive;
//# sourceMappingURL=json.js.map