"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const safeMethods = ['GET', 'OPTIONS', 'REPORT', 'HEAD', 'SEARCH', 'QUERY'];
const safePaths = ['/login', '/logout', '/authorize'];
function default_1() {
    return (ctx, next) => {
        /**
         * There's 2 ways a user might be authenticated, via a session cookie or
         * via a Authorization header with a Bearer token.
         *
         * If the user uses a session cookie, there's a CSRF risk.
         */
        if (!ctx.session.user)
            return next();
        if (!safeMethods.includes(ctx.method) && !safePaths.includes(ctx.path)) {
            ctx.validateCsrf();
        }
        delete ctx.request.body?.['csrf-token'];
        return next();
    };
}
exports.default = default_1;
//# sourceMappingURL=csrf.js.map