"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex.schema.alterTable('user_totp', table => {
        table
            .string('secret').notNullable().alter();
    });
    switch (knex().client.driverName) {
        case 'mysql':
        case 'mysql2':
            await knex.raw('ALTER TABLE oauth2_tokens CHANGE access_token access_token VARCHAR(2000) CHARACTER SET ascii NOT NULL');
            break;
        default:
            await knex.schema.alterTable('oauth2_tokens', table => {
                table.string('access_token', 2000).notNullable().alter();
            });
            break;
    }
}
exports.up = up;
async function down(knex) {
    // Intentially let empty
}
exports.down = down;
//# sourceMappingURL=20220911163800_clean_types.js.map