"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex.schema.alterTable('oauth2_tokens', table => {
        table
            .renameColumn('created', 'created_at');
        table
            .tinyint('grant_type')
            .unsigned()
            .nullable()
            .comment('1=implicit, 2=client_credentials, 3=password, 4=authorization_code, 5=authorization_code with secret,6=one-time-token');
        table
            .string('scope', 1024)
            .nullable()
            .comment('OAuth2 scopes, space separated');
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration cannot be undone');
}
exports.down = down;
//# sourceMappingURL=20220911180000_token_metadata.js.map