"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex.schema.alterTable('oauth2_codes', table => {
        table
            .renameColumn('created', 'created_at')
            .comment('When the code was issued, unix timestamp');
        table
            .renameColumn('user_id', 'principal_id')
            .comment('User for which the code is issued.');
        table
            .string('scope', 1024)
            .nullable()
            .comment('OAuth2 scopes, space separated');
    });
}
exports.up = up;
async function down(knex) {
    throw new Error('This migration cannot be undone');
}
exports.down = down;
//# sourceMappingURL=20221002160500_auth_code_scopes.js.map