"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const siren = require("../formats/siren");
const http_errors_1 = require("@curveball/http-errors");
const service_1 = require("../../principal/service");
class NewClientController extends controller_1.default {
    async get(ctx) {
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const user = await principalService.findByExternalId(ctx.params.id, 'app');
        if (!ctx.privileges.has('admin')) {
            throw new http_errors_1.Forbidden('Only users with the "admin" privilege can add new OAuth2 clients');
        }
        ctx.response.type = 'application/vnd.siren+json';
        ctx.response.body = siren.newClient(user, ctx.query);
    }
}
exports.default = new NewClientController();
//# sourceMappingURL=new.js.map