"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.activeSessions = void 0;
const sync_1 = require("csv-stringify/sync");
function activeSessions(tokens, clients) {
    return (0, sync_1.stringify)(tokens.map(token => {
        return [
            token.clientId === 0 ? 'System generated' : clients.get(token.clientId)?.app.nickname,
            token.grantType,
            new Date(token.refreshTokenExpires * 1000).toISOString(),
            token.scope?.join(' '),
        ];
    }), {
        header: true,
        columns: [
            'OAuth2 Client',
            'Grant Type',
            'Refresh token expires',
            'Scope',
        ],
    });
}
exports.activeSessions = activeSessions;
//# sourceMappingURL=csv.js.map