"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal = require("../formats/hal");
const privilegeService = require("../service");
const http_errors_1 = require("@curveball/http-errors");
class PrivilegeSearchController extends controller_1.default {
    async get(ctx) {
        ctx.privileges.require('admin');
        if (ctx.query === undefined) {
            throw new http_errors_1.BadRequest('The \'resource\' query parameter must be specified');
        }
        const privileges = await privilegeService.findPrivilegesForResource(ctx.query.resource);
        ctx.response.body = hal.search(ctx.query.resource, privileges);
    }
}
exports.default = new PrivilegeSearchController();
//# sourceMappingURL=search.js.map