"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.search = exports.item = exports.collection = void 0;
function collection(privileges) {
    return {
        _links: {
            self: { href: '/privilege' },
            item: privileges.map(privilege => ({
                href: '/privilege/' + privilege.privilege,
                title: privilege.description
            })),
            'search-resource-privileges': {
                href: '/privilege-search{?resource}',
                title: 'Search privileges by resource',
                templated: true,
            }
        },
        total: privileges.length,
    };
}
exports.collection = collection;
function item(privilege) {
    return {
        _links: {
            self: {
                href: '/privilege/' + privilege.privilege
            },
            collection: {
                href: '/privilege',
                title: 'Privilege Collection'
            }
        },
        privilege: privilege.privilege,
        description: privilege.description
    };
}
exports.item = item;
function search(resource, privileges) {
    return {
        _links: {
            self: {
                href: `/privilege-search?resource=${encodeURIComponent(resource)}`,
                title: 'Privilege Search Results',
            },
            about: {
                href: resource,
            },
        },
        privileges: privileges.map(privilege => ({
            principal: privilege.principal.href,
            privilege: privilege.privilege,
            resource: privilege.resource,
        })),
    };
}
exports.search = search;
//# sourceMappingURL=hal.js.map