import { App, User } from '../types';
import { UserAppPermission } from './types';
/**
 * This function will set the permissions an app has on behalf of a user.
 *
 * If permissions already existed, the new list of permissions will be merged
 * with the old ones.
 */
export declare function setPermissions(app: App, user: User, scope: string[]): Promise<void>;
/**
 * Returns all the apps the given user has granted permissions to
 */
export declare function findByUser(user: User): Promise<UserAppPermission[]>;
/**
 * Returns all the apps the given user has granted permissions to
 */
export declare function findByUserAndApp(user: User, app: App): Promise<UserAppPermission>;
/**
 * When an app generates an access token for a user, we update the lastUsedAt property.
 */
export declare function updateLastUse(user: User, app: App): Promise<void>;
