"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal = require("../formats/hal");
const service_1 = require("../../principal/service");
class UserEditController extends controller_1.default {
    async get(ctx) {
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const user = await principalService.findByExternalId(ctx.params.id, 'user');
        ctx.privileges.require('admin');
        ctx.response.body = hal.edit(user);
    }
    async post(ctx) {
        const principalService = new service_1.PrincipalService(ctx.privileges);
        const userBody = ctx.request.body;
        const userOld = await principalService.findByExternalId(ctx.params.id);
        ctx.privileges.require('admin');
        const userUpdated = Object.assign({}, userOld, {
            ...userBody,
            active: userBody.active === 'true' ? true : false,
        });
        const user = await principalService.save(userUpdated);
        ctx.redirect(303, `/user/${user.id}`);
    }
}
exports.default = new UserEditController();
//# sourceMappingURL=edit.js.map